Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DCSparkScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme
org.apache.sysds.runtime.controlprogram.paramserv.dp.DCSparkScheme

All Implemented Interfaces:
  `Serializable`

public class DCSparkScheme extends DataPartitionSparkScheme
Spark Disjoint_Contiguous data partitioner:

For each row, find out the shifted place according to the workerID indicator

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result`
`doPartitioning(int numWorkers, int rblkID, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### doPartitioning

public org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result doPartitioning(int numWorkers, int rblkID, MatrixBlock features, MatrixBlock labels)

Specified by:
  `doPartitioning` in class `DataPartitionSparkScheme`